Soft-deletes a manual transaction only. Bank/crypto synced txs are read-only. Does not reverse balance.
DELETE
/v1/delete_transactionQuery
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
| budgetId | string | Yes | — | Budget that owns the transaction. |
| transactionId | string | Yes | — | Manual transaction to soft-delete. |
Response data
| Field | Type | Description |
|---|---|---|
| id | string | Id of the transaction. |
| budgetId | string | Id of the budget this resource belongs to. |
| source | string | manual. |
| deleted | boolean | Always true on success. |